Channel Seller Attributes
curl --request GET \
--url https://scx-sbx.api.jtl-software.com/v1/seller/meta/{channel}/seller/attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/meta/{channel}/seller/attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/meta/{channel}/seller/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attributeListVersion": "2019060115430",
"sellerAttributeList": [
{
"sellerId": "4711",
"attributeList": [
{
"attributeId": "12323",
"displayName": "Brand",
"isMultipleAllowed": false,
"type": "text",
"values": [
{
"value": "Beer"
},
{
"value": "Tee",
"display": "Wine"
}
],
"attributeValueValidation": "/^[0-9]{13}$/",
"conditionalMandatoryBy": [
{
"attributeId": "12323",
"attributeValues": [
"High"
]
}
],
"conditionalOptionalBy": [
{
"attributeId": "12323",
"attributeValues": [
"No Frame"
]
}
],
"required": true,
"recommended": false,
"section": "Colors and Appearance",
"sectionPosition": 0,
"isRepeatableSubSection": true,
"subSection": "Length",
"subSectionPosition": 0,
"description": null,
"isVariationDimension": true,
"enumValues": [
"Blue"
]
}
]
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Meta
Channel Seller Attributes
GET
/
v1
/
seller
/
meta
/
{channel}
/
seller
/
attributes
Channel Seller Attributes
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Path Parameters
Channel name whose seller-specific attribute set should be returned. This is the unique Channel name.
Pattern:
^\w{5,15}$Example:
"MYBESTDEALCOMDE"
Was this page helpful?
⌘I